---
title: "POST /_system/cluster_stats_labels/{period} - Cluster Statistics · RUAL Documentation"
description: "Get unique label values for cluster statistics"
canonical: https://docs.rual.nl/cluster/api/cluster-statistics/system-cluster-stats-labels--period-post
language: en
---

# POST /_system/cluster_stats_labels/{period}

Get unique label values for cluster statistics

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **period** required | `string` | `"example"` | Statistics period |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **from** optional | `string` | `0` |  |
| **label** optional | `string` | `"Database host"` |  |
| **label_filter** optional | `object` | {} |  |
| **metric** optional | `string` | `"example"` |  |
| **to** optional | `string` | `"example"` |  |

```
[
  "example-string"
]
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `cluster_stats_view` | Required scope: cluster_stats_view |
